# Agent-based technology adoption model

This repo contains a model for the adoption of heating technologies based on the _Theory of planned behaviour (TBP)_ by Ajzen (1991). The modelled adoption leads to a change in demand for different energy carriers. The electricity demand is of particular interest, because it allows for insights into how much demand is shifted from fossil based heating towards electrified heating.


## Quickstart

You can run the model by following these three steps:

1) clone this repo
2) `conda env create -f env.yml`
3) `streamlit run app.py`




# References
Ajzen, I. (1991). The theory of planned behavior. In Organizational Behavior and Human Decision Processes (Vol. 50, Issue 2, pp. 179–211). Elsevier BV. https://doi.org/10.1016/0749-5978(91)90020-t
